<?php

/************************************************************************/
/* PHP-NUKE: Advanced Content Management System                         */
/* ============================================                         */
/*                                                                      */
/* Copyright (c) 2005 by Francisco Burzi                                */
/* http://phpnuke.org                                                   */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* PHP-Nuke Theme Enhancements                                          */
/* By: NukeScripts Network (webmaster@nukescripts.net)                  */
/* http://www.nukescripts.net                                           */
/* Copyright © 2000-2005 by NukeScripts Network                         */
/************************************************************************/

if (stristr($_SERVER['PHP_SELF'], "header.php")) {
	Header("Location: index.php");
	die();
}

require_once("mainfile.php");
if ($httpref==1) {
	$referer = $_SERVER["HTTP_REFERER"];
	$referer = check_html($referer, nohtml);
	if ($referer=="" OR eregi("^unknown", $referer) OR substr("$referer",0,strlen($nukeurl))==$nukeurl OR eregi("^bookmark",$referer)) {
	} else {
		$result = $db->sql_query("INSERT INTO ".$prefix."_referer VALUES (NULL, '$referer')");
	}
	$numrows = $db->sql_numrows($db->sql_query("SELECT * FROM ".$prefix."_referer"));
	if($numrows>=$httprefmax) {
		$result2 = $db->sql_query("DELETE FROM ".$prefix."_referer");
	}
}

##################################################
# Include some common header for HTML generation #
##################################################

$header = 1;

function head() {
	global $slogan, $sitename, $banners, $nukeurl, $Version_Num, $artpage, $topic, $hlpfile, $user, $hr, $theme, $cookie, $bgcolor1, $bgcolor2, $bgcolor3, $bgcolor4, $textcolor1, $textcolor2, $forumpage, $adminpage, $userpage, $pagetitle;
	include("includes/ipban.php");
	$ThemeSel = get_theme();
	include_once("themes/$ThemeSel/theme.php");
	echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
	echo "<html>\n";
	echo "<head>\n";
	echo "<title>$sitename $pagetitle</title>\n";
	include("includes/meta.php");
	include("includes/javascript.php");

	if (file_exists("themes/$ThemeSel/images/favicon.ico")) {
		echo "<link REL=\"shortcut icon\" HREF=\"themes/$ThemeSel/images/favicon.ico\" TYPE=\"image/x-icon\">\n";
	}
	echo "<link rel=\"alternate\" type=\"application/rss+xml\" title=\"RSS\" href=\"backend.php\">\n";
	echo "<LINK REL=\"StyleSheet\" HREF=\"themes/$ThemeSel/style/style.css\" TYPE=\"text/css\">\n\n\n";
	if (file_exists("includes/custom_files/custom_head.php")) {
		include_once("includes/custom_files/custom_head.php");
	}
	echo "\n\n\n</head>\n\n";
	if (file_exists("includes/custom_files/custom_header.php")) {
		include_once("includes/custom_files/custom_header.php");
	}
	themeheader();
}

online();
head();
include("includes/counter.php");
global $home;
if ($home == 1) {
	message_box();
	blocks(Center);
}

?>